Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.events.impl
Class SimpleSubstitutableMessage

    java.lang.Object
      org.apache.muse.ws.dm.muws.events.impl.SimpleSubstitutableMessage

All Implemented Interfaces:
  SubstitutableMessage, XmlSerializable

public class SimpleSubstitutableMessage
extends java.lang.Object
implements SubstitutableMessage

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleSubstitutableMessage()`
`SimpleSubstitutableMessage(org.w3c.dom.Element messageXML)`

Method Summary
`java.lang.String` | `getMessageId()`
`java.lang.String` | `getMessageIdType()`
`java.lang.String[]` | `getValues()`
`void` | `setMessageId(java.lang.String id)`
`void` | `setMessageIdType(java.lang.String idType)`
`void` | `setValues(java.lang.String[] values)`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSubstitutableMessage

    public SimpleSubstitutableMessage()

### SimpleSubstitutableMessage

    public SimpleSubstitutableMessage(org.w3c.dom.Element messageXML)

Method Detail

### getMessageId

    public java.lang.String getMessageId()

  Specified by:
    `getMessageId` in interface `SubstitutableMessage`

### getMessageIdType

    public java.lang.String getMessageIdType()

  Specified by:
    `getMessageIdType` in interface `SubstitutableMessage`

### getValues

    public java.lang.String[] getValues()

  Specified by:
    `getValues` in interface `SubstitutableMessage`

### setMessageId

    public void setMessageId(java.lang.String id)

  Specified by:
    `setMessageId` in interface `SubstitutableMessage`

### setMessageIdType

    public void setMessageIdType(java.lang.String idType)

  Specified by:
    `setMessageIdType` in interface `SubstitutableMessage`

### setValues

    public void setValues(java.lang.String[] values)

  Specified by:
    `setValues` in interface `SubstitutableMessage`

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD